"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getNativePropsForTNode;

/**
 * Extract React Native props for a given {@link TNode}. Native props target
 * either `Text` or `View` elements, with an optional `onPress` prop for
 * interactive elements.
 */
function getNativePropsForTNode(props) {
  var _tnode$getReactNative;

  const {
    tnode,
    style,
    type,
    nativeProps,
    onPress
  } = props;
  const switchProp = type === 'block' ? props.viewProps : props.textProps;
  return { ...((_tnode$getReactNative = tnode.getReactNativeProps()) === null || _tnode$getReactNative === void 0 ? void 0 : _tnode$getReactNative[type === 'block' ? 'view' : 'text']),
    ...nativeProps,
    ...switchProp,
    onPress,
    style: [style, nativeProps === null || nativeProps === void 0 ? void 0 : nativeProps.style, switchProp.style],
    testID: tnode.tagName || undefined
  };
}
//# sourceMappingURL=getNativePropsForTNode.js.map